"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var msw_1 = require("msw");
var node_1 = require("msw/node");
var fs = __importStar(require("fs"));
var path_1 = __importDefault(require("path"));
var fixtureDirectory = path_1.default.resolve(__dirname, '../__fixture__');
var oembedXmlHtml = fs.readFileSync(path_1.default.join(fixtureDirectory, 'demo_oembed_xml.html'));
var oembedJsonHtml = fs.readFileSync(path_1.default.join(fixtureDirectory, 'demo_oembed.html'));
var oembedJson = JSON.parse(fs.readFileSync(path_1.default.join(fixtureDirectory, 'oembed.json'), 'utf-8'));
var oembedXml = fs.readFileSync(path_1.default.join(fixtureDirectory, 'oembed.xml'), 'utf-8');
var demoHtml = fs.readFileSync(path_1.default.join(fixtureDirectory, 'demo.html'), 'utf-8');
var server = (0, node_1.setupServer)(msw_1.rest.get('http://example.com', function (req, res, ctx) {
    return res(ctx.status(200), ctx.body(demoHtml));
}), msw_1.rest.get('https://example.com', function (req, res, ctx) {
    return res(ctx.status(200), ctx.body(demoHtml));
}), msw_1.rest.get('https://example.com/oembed', function (req, res, ctx) {
    return res(ctx.body(oembedJsonHtml));
}), msw_1.rest.get('https://example.com/oembed_xml', function (req, res, ctx) {
    return res(ctx.body(oembedXmlHtml));
}), msw_1.rest.get('https://oembed.example.com/jsondata', function (req, res, ctx) {
    return res(ctx.json(oembedJson));
}), msw_1.rest.get('https://oembed.example.com/xmldata', function (req, res, ctx) {
    return res(ctx.xml(oembedXml));
}), msw_1.rest.get('https://notfound.example.com', function (req, res, ctx) {
    return res(ctx.status(404), ctx.json({ reason: 'Not Found' }));
}), msw_1.rest.post('https://example.com/post', function (req, res, ctx) {
    return res(ctx.body(''));
}), msw_1.rest.get('https://redirect.example.com', function (req, res, ctx) {
    return res(ctx.status(301), ctx.set('Location', 'https://example.com'));
}), msw_1.rest.get('https://redirect.example.com/loop', function (req, res, ctx) {
    return res(ctx.status(302), ctx.set('Location', 'https://redirect.example.com/loopA'));
}), msw_1.rest.get('https://redirect.example.com/loopA', function (req, res, ctx) {
    return res(ctx.status(302), ctx.set('Location', 'https://redirect.example.com/loop'));
}), msw_1.rest.get('https://abc.example.com', function (req, res, ctx) {
    return res.networkError('Failed to connect');
}));
beforeAll(function () { return server.listen(); });
afterEach(function () { return server.resetHandlers(); });
afterAll(function () { return server.close(); });
//# sourceMappingURL=setupServer.js.map